package com.zsc.edu.gateway.modules.iot.record.repo;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zsc.edu.gateway.modules.iot.record.entity.Record;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author zhuang
 */
public interface RecordRepository extends BaseMapper<Record> {
    List<Record> findAllByClientIdAndRecordTimeAfter(String clientId, LocalDateTime recordTime);

    List<Record> findByRecordTimeStr(String recordTimeStr);


}
